Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xs.psvi
Interface XSAnnotation

All Superinterfaces:
  XSObject

Deprecated. The interface may be updated or replaced.

public interface XSAnnotation
extends XSObject

This interface represents the Annotation schema component.

Field Summary
`static short` | `SAX_CONTENTHANDLER` Deprecated. The object type is `org.w3c.dom.Document`.
`static short` | `W3C_DOM_DOCUMENT` Deprecated. The object type is `org.xml.sax.ContentHandler`.
`static short` | `W3C_DOM_ELEMENT` Deprecated. The object type is `org.w3c.dom.Element`.

Method Summary
`java.lang.String` | `getAnnotationString()` Deprecated. A text representation of annotation.
`boolean` | `writeAnnotation(java.lang.Object target, short targetType)` Deprecated. Write contents of the annotation to the specified DOM object.

Methods inherited from interface org.apache.xerces.impl.xs.psvi.XSObject
`getName, getNamespace, getNamespaceItem, getType`

Field Detail

### W3C_DOM_ELEMENT

    public static final short W3C_DOM_ELEMENT

  Deprecated.
  The object type is `org.w3c.dom.Element`.

### SAX_CONTENTHANDLER

    public static final short SAX_CONTENTHANDLER

  Deprecated.
  The object type is `org.w3c.dom.Document`.

### W3C_DOM_DOCUMENT

    public static final short W3C_DOM_DOCUMENT

  Deprecated.
  The object type is `org.xml.sax.ContentHandler`.

Method Detail

### writeAnnotation

    public boolean writeAnnotation(java.lang.Object target,
                                   short targetType)

  Deprecated.
  Write contents of the annotation to the specified DOM object. If the specified `target` object is a DOM in-scope namespace declarations for `annotation` element are added as attributes nodes of the serialized `annotation`, otherwise the corresponding events for all in-scope namespace declaration are sent via specified document handler.
  Parameters:
    `target` - A target pointer to the annotation target object, i.e. `org.w3c.dom.Document`, `org.xml.sax.ContentHandler`.
    `targetType` - A target type.
  Returns:
    If the `target` is recognized type and supported by this implementation return true, otherwise return false.

### getAnnotationString

    public java.lang.String getAnnotationString()

  Deprecated.
  A text representation of annotation.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.